#!/usr/bin/env python3
# -*- coding: utf-8 -*-
# 与rabbitmq通讯相关的参数设置
from config.config import configs, mysql_configs

USERNAME = configs["rabbitmq_config"]["username"]  # 用户名
PASSWORD = configs["rabbitmq_config"]["password"]  # 密码
HOST = configs["rabbitmq_config"]["host"]  # ip
PORT = configs["rabbitmq_config"]["port"]  # 端口
EXCHANGE_TYPE = configs["rabbitmq_config"]["exchange_type"]  # 交换机方式

EXCHANGE_GET = configs["rabbitmq_config"]["exchange_get"]  # 获取交换机名称
QUEUE_NAME_GET = configs["rabbitmq_config"]["queue_name_get"]  # 获取数据的队列
ROUTING_KEY_GET = configs["rabbitmq_config"]["routing_key_get"]  # 获取数据的routingkey
VIRTUAL_HOST_GET = configs["rabbitmq_config"]["virtual_host"]  # 获取虚拟服务器

EXCHANGE_SEND = configs["rabbitmq_config"]["exchange_send"]  # 发送交换机名称
QUEUE_NAME_SEND = configs["rabbitmq_config"]["queue_name_send"]  # 发送数据的队列
ROUTING_KEY_SEND = configs["rabbitmq_config"]["routing_key_send"]  # 发送数据的routingkey
VIRTUAL_HOST_SEND = configs["rabbitmq_config"]["virtual_host"]  # 获取虚拟服务器


emEmbaic = mysql_configs["em_embasic"]
emBsem = mysql_configs["em_bsem"]

ROCKET_SERVER_ADDR = configs["rocketmq_config"]["host"]
ROCKET_ACCESS_KEY = configs["rocketmq_config"]["access_key"]
ROCKET_ACCESS_SECRET = configs["rocketmq_config"]["access_secret"]
ROCKET_COP_IN_TOPIC = configs["rocketmq_config"]["topic_cop_in"]
ROCKET_COP_OUT_TOPIC = configs["rocketmq_config"]["topic_cop_out"]
ROCKET_COP_IN_TAG = configs["rocketmq_config"]["tag_cop_in"]
ROCKET_COP_OUT_TAG = configs["rocketmq_config"]["tag_cop_out"]