#!/usr/bin/env python3
# -*- coding: utf-8 -*-
import os

configs = {
    "rabbitmq_config": {"username": os.getenv("USERNAME_RM", "guest"),
                        "password": os.getenv("PASSWORD_RM", "ntRbt_+dgd8"),
                        "host": os.getenv("HOST_RM", "39.105.175.99"),
                        "port": os.getenv("PORT_RM", 5672),
                        "virtual_host": os.getenv("VIRTUAL_HOST_RM", "/"),
                        "exchange_type": os.getenv("EXCHANGE_TYPE", "direct"),
                        "exchange_get": os.getenv("EXCHANGE_GET", "sem.server.exchange"),
                        "queue_name_get": os.getenv("QUEUE_NAME_GET", "sem.server.queue.cop.input"),
                        "routing_key_get": os.getenv("ROUTING_KEY_GET", "cop.input"),
                        "exchange_send": os.getenv("EXCHANGE_SEND", "sem.server.exchange"),
                        "queue_name_send": os.getenv("QUEUE_NAME_SEND", "sem.server.queue.cop.output"),
                        "routing_key_send": os.getenv("ROUTING_KEY_SEND", "cop.output")},

    "rocketmq_config": {

            "access_key": os.getenv("ROCKET_USER","test"),
            "access_secret": os.getenv("ROCKET_PASSWD", "test"),
            #"host": os.getenv("ROCKET_HOST_ADDR","http://192.168.1.70:9876"),
            "host": os.getenv("ROCKET_HOST_ADDR","http://172.17.102.51:9876"),
            # cop 触发主题
            "topic_cop_in": os.getenv("TOPIC_COP_IN","alg-cop-request"),
            "tag_cop_in": os.getenv("TAG_COP_IN","alg-cop-req"),
            # cop 响应主题
            "topic_cop_out": os.getenv("TOPIC_COP_OUT","alg-cop-response"),
            "tag_cop_out": os.getenv("TAG_COP_OUT","alg-cop-resp"),

    }


    }



# configs = {
#     "rabbitmq_config":{"username": os.getenv("USERNAME_RM", "jnc"),
#                        "password": os.getenv("PASSWORD_RM", "juneng"),
#                        "host": os.getenv("HOST_RM", "14.23.57.52"),
#                        "port": os.getenv("PORT_RM", 5672),
#                        "exchange_type": os.getenv("EXCHANGE_TYPE", "topic"),
#                        "exchange_get": os.getenv("EXCHANGE_GET", "sem.server.exchange"),
#                        "queue_name_get": os.getenv("QUEUE_NAME_GET", "dgjykj_data"),
#                        "routing_key_get": os.getenv("ROUTING_KEY_GET", "dgjykj_data"),
#                        "exchange_send": os.getenv("EXCHANGE_SEND", "sem.server.exchange"),
#                        "queue_name_send": os.getenv("QUEUE_NAME_SEND", "sem.server.queue.seccaloutput"),
#                        "routing_key_send": os.getenv("ROUTING_KEY_SEND", "seccal.output")}}

# configs = {
#     "rabbitmq_config":{"username": os.getenv("USERNAME_RM", "jnc"),
#                        "password": os.getenv("PASSWORD_RM", "juneng"),
#                        "host": os.getenv("HOST_RM", "192.168.1.200"),
#                        "port": os.getenv("PORT_RM", 5672),
#                        "exchange_type": os.getenv("EXCHANGE_TYPE", "topic"),
#                        "exchange_get": os.getenv("EXCHANGE_GET", "transtointr.server.exchange"),
#                        "queue_name_get": os.getenv("QUEUE_NAME_GET", "transtointr.server.exchange"),
#                        "routing_key_get": os.getenv("ROUTING_KEY_GET", "transtointr.equip"),
#                        "exchange_send": os.getenv("EXCHANGE_SEND", "sem.server.exchange"),
#                        "queue_name_send": os.getenv("QUEUE_NAME_SEND", "sem.server.queue.seccaloutput"),
#                        "routing_key_send": os.getenv("ROUTING_KEY_SEND", "seccal.output")}}


mysql_configs = {
    "em_embasic": {"host": os.getenv("MYSQL_HOST", "hdc-emm-external.rwlb.rds.aliyuncs.com"),
                   "port": os.getenv("MYSQL_PORT", "3306"),
                   "user": os.getenv("MYSQL_USER", "readonly_chiller"),
                   "password": os.getenv("MYSQL_PASSWORD", "xafnTU5j"),
                   "db": os.getenv("MYSQL_DB_EMBASIC", "em_embasic"),
                   "charset": os.getenv("MYSQL_CHARSET", "utf8")},
    "em_bsem": {"host": os.getenv("MYSQL_HOST", "hdc-emm-external.rwlb.rds.aliyuncs.com"),
                "port": os.getenv("MYSQL_PORT", "3306"),
                "user": os.getenv("MYSQL_USER", "readonly_chiller"),
                "password": os.getenv("MYSQL_PASSWORD", "xafnTU5j"),
                "db": os.getenv("MYSQL_DB_EMBSEM", "em_bsem"),
                "charset": os.getenv("MYSQL_CHARSET", "utf8")}}

# mysql_configs = {
#     "em_embasic": {"host": os.getenv("MYSQL_HOST", "192.168.1.199"),
#                    "port": os.getenv("MYSQL_PORT", "3307"),
#                    "user": os.getenv("MYSQL_USER", "root"),
#                    "password": os.getenv("MYSQL_PASSWORD", "MY99DDA8BeiC"),
#                    "db": os.getenv("MYSQL_DB", "em_embasic"),
#                    "charset": os.getenv("MYSQL_CHARSET", "utf8")},
#     "em_bsem": {"host": os.getenv("MYSQL_HOST", "192.168.1.199"),
#                 "port": os.getenv("MYSQL_PORT", "3307"),
#                 "user": os.getenv("MYSQL_USER", "root"),
#                 "password": os.getenv("MYSQL_PASSWORD", "MY99DDA8BeiC"),
#                 "db": os.getenv("MYSQL_DB", "em_bsem"),
#                 "charset": os.getenv("MYSQL_CHARSET", "utf8")}}

# # 与rabbitmq通讯相关的参数设置
# USERNAME = "jnc"  # 用户名
# PASSWORD = "juneng"  # 密码
# HOST = '192.168.1.223'  # ip
# PORT = 5672  # 端口
# EXCHANGE = 'sem.server.exchange'  # 交换机名称
# EXCHANGE_TYPE = 'topic'  # 交换机方式
# QUEUE_NAME_GET = "sem.server.queue.seccal.input"  # 获取数据的队列
# ROUTING_KEY_GET = "seccal.input"  # 获取数据的routingkey