def DictResultsAbnormal(dict_input, results_depict):
    dict_results = {
        "triggerTime": dict_input['triggerTime'],
        "userName": dict_input['userName'],
        "coolingStationName": dict_input['coolingStationName'],
        "deviceName": dict_input['deviceName'],
        "deviceId": dict_input['deviceId'],
        "coolingCapacity": '',
        "COP": '',
        "coolingWaterFlow": '',
        "chilledWaterFlow": '',
        "resultsDepict": results_depict,
        "dischargeTempMod": '',
        "powerTheory": '',
        "etaMotor": '',
        "etaRoller": '',
        "etaIse": ''}
    return dict_results


def DictResultsNormal(dict_results, results_depict):
    dict_results = {
        "triggerTime": dict_results['triggerTime'],
        "userName": dict_results['userName'],
        "coolingStationName": dict_results['coolingStationName'],
        "deviceName": dict_results['deviceName'],
        "deviceId": dict_results['deviceId'],
        "coolingCapacity": round(dict_results['coolingCapacity'], 1),
        "COP": round(dict_results['COP'], 2),
        "coolingWaterFlow": round(dict_results['coolingWaterFlow'],1) if dict_results['coolingWaterFlow'] else '',
        "chilledWaterFlow": round(dict_results['chilledWaterFlow'], 1) if dict_results['chilledWaterFlow'] else '',
        "resultsDepict": results_depict,
        "dischargeTempMod": round(dict_results['dischargeTemp'], 1),
        "powerTheory": round(dict_results['powerTheory'], 1),
        "etaMotor": round(dict_results['etaMotor'], 3),
        "etaRoller": round(dict_results['etaRoller'], 3),
        "etaIse": round(dict_results['etaIseCal'], 2)}
    return dict_results

